%define realname AliasPlugin

Name:           foswiki-plugin-alias
Version:        2.31
Release:        1%{?dist}
Summary:        Define aliases which will be replaced with arbitrary strings automatically

Group:          Applications/Internet
License:        GPLv2+
URL:            http://foswiki.org/Extensions/%{realname}
Source0:        http://foswiki.org/pub/Extensions/%{realname}/%{realname}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildARch:      noarch

Requires:       foswiki


%description
This plugin allows you to create arbitrary word aliases. If you write down a
word that has a defined alias, it will then be replaced with the given text
string. If that string is a string of the format <web>.<topic> it will be
replaced by an appropriate link.


%prep
%setup -q -c %{name}-%{version}


%build
## Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
# Shared datas
mkdir -p $RPM_BUILD_ROOT%{_datadir}/foswiki
cp -a lib $RPM_BUILD_ROOT%{_datadir}/foswiki
# User datas
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/foswiki
cp -a data pub $RPM_BUILD_ROOT%{_localstatedir}/lib/foswiki


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
#%{_datadir}/foswiki/lib/Foswiki/Plugins/*.pm
#%{_localstatedir}/lib/foswiki/data/System/*.txt
#%{_localstatedir}/lib/foswiki/pub/System/%{realname}/

%{_datadir}/foswiki/lib/TWiki/Plugins/*.pm
%{_localstatedir}/lib/foswiki/data/TWiki/*.txt
%{_localstatedir}/lib/foswiki/pub/TWiki/%{realname}/


%changelog
* Tue Mar 24 2009 Xavier Bachelot <xavier@bachelot.org> 2.31-1
- Initial build.
